Dragonfly CMS v9 ⇒ Modules & Blocks :: Archives ⇒ df main menu module database error on install :: Archived ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum IndexModules & Blocks

Archived ⇒ df main menu module database error on install


I get the following database error when trying to install the 9.1.0.8 version of the df main menu module located in the downloads here.

includes/db/db.php

* CMS Warning line 75: On /admin.php?op=modules&install=df_main_menu While executing query "CREATE TABLE cms_main_menu ( id int(11) NOT NULL auto_increment, pid int(11) NOT NULL default "0", title varchar(255) NOT NULL default "", path varchar(255) NOT NULL default "", active tinyint(1) NOT NULL default "0", type tinyint(3) NOT NULL default "0", target tinyint(3) NOT NULL default "0", weight int(11) NOT NULL default "1", access int(11) NOT NULL default "0", image varchar(255) NOT NULL default "", mid int(11) NOT NULL default "0", PRIMARY KEY (id)) TYPE=MyISAM DEFAULT CHARSET=null" the following error occured: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'null' at line 13 In: /home/myaccount/public_html/includes/classes/installer.php on line: 61


Can anyone with sql knowledge enlighten me on how to correct this error so that this module will install? I am using DF v.9.1.2.1 upgraded from 9.0.6.1 and this is not a module upgrade. The only change that I have made is to replace the "utf8" collation in the config.php file to "null" to correct other errors.

Thanks.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Devuan beowulf / Apache 2.4.46 / MariaDB 10.3 / PHP 7.4 / DF 9.x (updated)


You will get that error with any module you try to install.

You have incorrectly edited your config file and used quotes around the NULL.

Aside from that, I'm not sure why you would want to add out of date software when the core DF menu works perfectly fine.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


Thanks for the information about the quotes. It installed just fine.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Devuan beowulf / Apache 2.4.46 / MariaDB 10.3 / PHP 7.4 / DF 9.x (updated)

All times are UTC